| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - f -

- fail_addr : MEM_TEST_SETUP_T
- FALL : LPC_PIN_INT_T , IP_GPIOPININT_001_T
- Fat : DISKIMAGE
- fatbase : FATFS
- FATByte : FAT
- fattrib : FILINFO
- fb : SWIM_WINDOW_T
- FCANIC : IP_CAN_001_AF_T
- FCANIE : IP_CAN_001_AF_T
- FCR : IP_USART_001_T
- fdate : FILINFO
- FDR : IP_USART_001_T
- FEED : IP_WWDT_001_T
- fi : file_ds
- fi_valid : file_ds
- FIFO : IP_SDC_001_T
- FIFO_DMAMode : UART_FIFO_CFG_T
- FIFO_Level : UART_FIFO_CFG_T
- FIFO_ResetRxBuf : UART_FIFO_CFG_T
- FIFO_ResetTxBuf : UART_FIFO_CFG_T
- FIFOCNT : IP_SDC_001_T
- FIFOLVL : IP_USART_001_T
- FIFOTH : IP_SDMMC_001_T
- fileSize : DirEntry
- fill : SWIM_WINDOW_T
- FILTERINX : IP_QEI_001_T
- FILTERPHA : IP_QEI_001_T
- FILTERPHB : IP_QEI_001_T
- first_char : FONT_T
- firstNonBlankLoc : FLASH_BLANK_CHECK_SECTORS_OUTPUT_T
- firstNonBlankVal : FLASH_BLANK_CHECK_SECTORS_OUTPUT_T
- FirstPtr : OS_TICK_SPOKE , OS_TMR_SPOKE
- FirstQtd : st_EHCD_QHD
- flag : FIL
- Flags : OS_FLAG_GRP
- flags : i2c_interface
- FLASHCFG : LPC_FMC_T , LPC_SYSCTL_T
- FLASHCFGA : LPC_CREG_T
- FLASHCFGB : LPC_CREG_T
- FLASHTIM : LPC_FMC_T
- FLOWCONTROLCOUNTER : IP_ENET_002_CONTROL_T
- FLOWCONTROLSTATUS : IP_ENET_002_CONTROL_T
- FmInterval : IP_USB_001_T
- FmNumber : IP_USB_001_T
- FmRemaining : IP_USB_001_T
- FMSSTART : LPC_FMC_T
- FMSSTOP : LPC_FMC_T
- FMSTAT : LPC_FMC_T
- FMSTATCLR : LPC_FMC_T
- FMSW : LPC_FMC_T
- FMSW0 : LPC_FMC_T
- fn : DIR
- fnAftFrame : CHIP_SPI_DATA_SETUP_T
- fnAftTransfer : CHIP_SPI_DATA_SETUP_T
- fname : FILINFO
- fnBefFrame : CHIP_SPI_DATA_SETUP_T
- fnBefTransfer : CHIP_SPI_DATA_SETUP_T
- font : SWIM_WINDOW_T
- font_height : FONT_T
- font_table : FONT_T
- font_width_table : FONT_T
- ForceFullSpeed : USBD_HW_API_T
- Format : st_HC_ED
- fptr : FIL
- fract : CGU_USBAUDIO_PLL_SETUP_T
- FrameCount : st_HCD_IsoTransferDescriptor
- FrameDelay : IP_SPI_DELAY_CONFIG_T
- frameFormat : SSP_ConfigFormat
- free_clust : FATFS
- FreeListPtr : OS_MEM
- FREQ_MON : LPC_CGU_T
- FRINDEX_D : IP_USBHS_001_T
- FRINDEX_H : IP_USBHS_001_T
- fs : file_ds , DIR , FIL
- fs_type : FATFS
- fsi_flag : FATFS
- fsi_sector : FATFS
- fsize : FATFS , FILINFO , FIL
- ftime : FILINFO
- full_speed_desc : USB_CORE_DESCS_T
- FullCANEntryNum : IP_CAN_AF_LUT_T
- FullCANSec : IP_CAN_AF_LUT_T
- func_pt : I2C_PARAM_T
- funcnum : PINMUX_GRP_T
- FunctionAddr : st_HC_ED